EMF::EMRDELETEOBJECT(3)

NAME
EMF::EMRDELETEOBJECT - EMF Delete Object.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRDELETEOBJECT (HGDIOBJ object)
EMRDELETEOBJECT (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Delete Object.

Delete the given object, such as a pen, brush or font.

Constructor & Destructor Documentation

  EMF::EMRDELETEOBJECT::EMRDELETEOBJECT (HGDIOBJ object) [inline]

Parameters
    object the object to delete.

References EMRDELETEOBJECT().

Referenced by EMRDELETEOBJECT().

  EMF::EMRDELETEOBJECT::EMRDELETEOBJECT (DATASTREAM & ds) [inline]
Construct a DeleteObject record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMRDELETEOBJECT::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

References EMF::METAFILEDEVICECONTEXT::emf_handles.

  bool EMF::EMRDELETEOBJECT::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRDELETEOBJECT::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.